Time × altitude soaring cross-section
GET
/v1/profile/xsection
const url = 'https://api.vertexmaps.com/v1/profile/xsection?lat=1&lon=1';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.vertexmaps.com/v1/profile/xsection?lat=1&lon=1' \ --header 'Authorization: Bearer <token>'Winds aloft, Lenschow updraft profile, top of lift, cloud base, LCL, cu top, boundary-layer top and a surface strip for one location. Alias: /v1/xsection. 3 credits.
Authorizations
Section titled “Authorizations”Parameters
Section titled “ Parameters ”Query Parameters
Section titled “Query Parameters”lat
required
number
lon
required
number
model
string
Hrrr|rrfs|gfs|ecmwf|nam
wind_speed_unit
string
Ms | kmh | mph | kn (default ms)
timezone
string
IANA or auto
Responses
Section titled “ Responses ”Grid[t][level] arrays + surface series
Media typeapplication/json